Build #1 for apiary-persistent-1.5.1

[all reports]

Package apiary-persistent-1.5.1
Install InstallOk
Docs Ok
Tests NotTried
Time submitted 2017-10-25 08:18:06.527962279 UTC
Compiler ghc-8.0.2
OS linux
Arch x86_64
Dependencies apiary-2.1.0, apiary-logger-1.5.0, base-4.9.1.0, monad-control-1.0.2.2, monad-logger-0.3.25.1, persistent-2.7.1, resource-pool-0.2.3.2, resourcet-1.1.9, transformers-0.5.2.0, transformers-base-0.4.4
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring appar-0.1.4...
Configuring auto-update-0.1.4...
Building appar-0.1.4...
Building auto-update-0.1.4...
Installed auto-update-0.1.4
Configuring byteorder-1.0.4...
Configuring base64-bytestring-1.0.0.1...
Installed appar-0.1.4
Building byteorder-1.0.4...
Building base64-bytestring-1.0.0.1...
Configuring bytestring-builder-0.10.8.1.0...
Installed byteorder-1.0.4
Building bytestring-builder-0.10.8.1.0...
Configuring bytestring-lexing-0.5.0.2...
Installed bytestring-builder-0.10.8.1.0
Configuring data-default-class-0.0.1...
Installed base64-bytestring-1.0.0.1
Building bytestring-lexing-0.5.0.2...
Building data-default-class-0.0.1...
Configuring colour-2.3.3...
Installed data-default-class-0.0.1
Building colour-2.3.3...
Configuring dlist-0.8.0.3...
Installed bytestring-lexing-0.5.0.2
Building dlist-0.8.0.3...
Configuring fail-4.9.0.0...
Installed dlist-0.8.0.3
Building fail-4.9.0.0...
Configuring integer-logarithms-1.0.2...
Installed colour-2.3.3
Configuring monad-loops-0.4.3...
Installed fail-4.9.0.0
Building integer-logarithms-1.0.2...
Building monad-loops-0.4.3...
Configuring mtl-2.2.1...
Installed integer-logarithms-1.0.2
Configuring old-locale-1.0.0.7...
Installed monad-loops-0.4.3
Building mtl-2.2.1...
Building old-locale-1.0.0.7...
Configuring primitive-0.6.2.0...
Installed old-locale-1.0.0.7
Building primitive-0.6.2.0...
Configuring stm-2.4.4.1...
Installed mtl-2.2.1
Building stm-2.4.4.1...
Configuring stringsearch-0.3.6.6...
Installed stm-2.4.4.1
Building stringsearch-0.3.6.6...
Configuring syb-0.7...
Installed primitive-0.6.2.0
Building syb-0.7...
Configuring text-1.2.2.2...
Installed stringsearch-0.3.6.6
Building text-1.2.2.2...
Configuring th-lift-0.7.7...
Installed syb-0.7
Building th-lift-0.7.7...
Configuring time-1.5.0.1...
Installed th-lift-0.7.7
Building time-1.5.0.1...
Configuring transformers-compat-0.5.1.4...
Installed time-1.5.0.1
Building transformers-compat-0.5.1.4...
Configuring void-0.7.2...
Installed transformers-compat-0.5.1.4
Building void-0.7.2...
Configuring word8-0.1.3...
Installed text-1.2.2.2
Configuring zlib-0.6.1.2...
Installed void-0.7.2
Building word8-0.1.3...
Building zlib-0.6.1.2...
Installed word8-0.1.3
Configuring old-time-1.1.0.3...
Building old-time-1.1.0.3...
Configuring ansi-terminal-0.7.1.1...
Installed zlib-0.6.1.2
Building ansi-terminal-0.7.1.1...
Configuring async-2.1.1.1...
Installed old-time-1.1.0.3
Building async-2.1.1.1...
Configuring stm-chans-3.0.0.4...
Installed ansi-terminal-0.7.1.1
Configuring random-1.1...
Installed async-2.1.1.1
Building random-1.1...
Building stm-chans-3.0.0.4...
Configuring vector-0.12.0.1...
Installed random-1.1
Building vector-0.12.0.1...
Warning: /tmp/pkgConf-stm-chans-3.0.014099597082077486715.4: Unrecognized
field dynamic-library-dirs on line 24
Configuring time-locale-compat-0.1.1.3...
Installed stm-chans-3.0.0.4
Building time-locale-compat-0.1.1.3...
Configuring exceptions-0.8.3...
Installed time-locale-compat-0.1.1.3
Building exceptions-0.8.3...
Configuring unix-2.7.2.2...
Installed exceptions-0.8.3
Building unix-2.7.2.2...
Configuring mmorph-1.1.0...
Installed vector-0.12.0.1
Building mmorph-1.1.0...
Configuring tagged-0.8.5...
Installed unix-2.7.2.2
Building tagged-0.8.5...
Configuring transformers-base-0.4.4...
Installed mmorph-1.1.0
Building transformers-base-0.4.4...
Configuring hashable-1.2.6.1...
Installed transformers-base-0.4.4
Building hashable-1.2.6.1...
Configuring blaze-builder-0.4.0.2...
Installed tagged-0.8.5
Building blaze-builder-0.4.0.2...
Configuring mime-types-0.1.0.7...
Installed hashable-1.2.6.1
Configuring path-pieces-0.2.1...
Installed blaze-builder-0.4.0.2
Building mime-types-0.1.0.7...
Building path-pieces-0.2.1...
Installed path-pieces-0.2.1
Configuring unix-time-0.3.7...
Building unix-time-0.3.7...
Configuring th-lift-instances-0.1.11...
Installed mime-types-0.1.0.7
Configuring base-compat-0.9.3...
Installed unix-time-0.3.7
Building th-lift-instances-0.1.11...
Building base-compat-0.9.3...
Configuring network-2.6.3.2...
Installed th-lift-instances-0.1.11
Configuring directory-1.3.1.5...
Installed base-compat-0.9.3
Building directory-1.3.1.5...
Building network-2.6.3.2...
Configuring monad-control-1.0.2.2...
Installed directory-1.3.1.5
Building monad-control-1.0.2.2...
Configuring unix-compat-0.4.3.1...
Installed monad-control-1.0.2.2
Building unix-compat-0.4.3.1...
Configuring case-insensitive-1.2.0.10...
Installed network-2.6.3.2
Building case-insensitive-1.2.0.10...
Configuring scientific-0.3.5.2...
Installed unix-compat-0.4.3.1
Building scientific-0.3.5.2...
Configuring uuid-types-1.0.3...
Installed case-insensitive-1.2.0.10
Building uuid-types-1.0.3...
Configuring unordered-containers-0.2.8.0...
Installed scientific-0.3.5.2
Configuring cookie-0.4.2.1...
Installed uuid-types-1.0.3
Building unordered-containers-0.2.8.0...
Building cookie-0.4.2.1...
Configuring blaze-markup-0.7.1.1...
Installed cookie-0.4.2.1
Building blaze-markup-0.7.1.1...
Installed blaze-markup-0.7.1.1
Configuring easy-file-0.2.1...
Building easy-file-0.2.1...
Installed unordered-containers-0.2.8.0
Configuring silently-1.2.5...
Building silently-1.2.5...
Configuring process-1.6.1.0...
Installed easy-file-0.2.1
Configuring resource-pool-0.2.3.2...
Installed silently-1.2.5
Building resource-pool-0.2.3.2...
Building process-1.6.1.0...
Configuring lifted-base-0.2.3.11...
Installed resource-pool-0.2.3.2
Building lifted-base-0.2.3.11...
Configuring http-types-0.9.1...
Installed process-1.6.1.0
Building http-types-0.9.1...
Configuring iproute-1.7.1...
Installed lifted-base-0.2.3.11
Building iproute-1.7.1...
Configuring attoparsec-0.13.2.0...
Installed http-types-0.9.1
Building attoparsec-0.13.2.0...
Configuring blaze-html-0.8.1.3...
Installed iproute-1.7.1
Building blaze-html-0.8.1.3...
Installed attoparsec-0.13.2.0
Configuring vault-0.3.0.7...
Building vault-0.3.0.7...
Installed vault-0.3.0.7
Configuring fast-logger-2.4.10...
Building fast-logger-2.4.10...
Configuring Cabal-2.0.0.2...
Installed fast-logger-2.4.10
Building Cabal-2.0.0.2...
Configuring streaming-commons-0.1.18...
Installed blaze-html-0.8.1.3
Building streaming-commons-0.1.18...
Configuring resourcet-1.1.9...
Installed streaming-commons-0.1.18
Building resourcet-1.1.9...
Installed resourcet-1.1.9
Configuring attoparsec-iso8601-1.0.0.0...
Building attoparsec-iso8601-1.0.0.0...
Configuring aeson-0.11.3.0...
Installed attoparsec-iso8601-1.0.0.0
Building aeson-0.11.3.0...
Configuring uri-bytestring-0.3.0.1...
Installed aeson-0.11.3.0
Building uri-bytestring-0.3.0.1...
Configuring http-date-0.0.6.1...
Installed uri-bytestring-0.3.0.1
Building http-date-0.0.6.1...
Configuring wai-3.2.1.1...
Installed http-date-0.0.6.1
Building wai-3.2.1.1...
Installed wai-3.2.1.1
Configuring hetero-dict-0.1.1.0...
Building hetero-dict-0.1.1.0...
Configuring conduit-1.2.12.1...
Installed hetero-dict-0.1.1.0
Building conduit-1.2.12.1...
Configuring wai-logger-2.3.0...
Installed conduit-1.2.12.1
Building wai-logger-2.3.0...
Installed wai-logger-2.3.0
Configuring conduit-extra-1.2.0...
Building conduit-extra-1.2.0...
Configuring wai-extra-3.0.20.0...
Installed conduit-extra-1.2.0
Building wai-extra-3.0.20.0...
Configuring monad-logger-0.3.25.1...
Installed wai-extra-3.0.20.0
Building monad-logger-0.3.25.1...
Installed monad-logger-0.3.25.1
Configuring apiary-2.1.0...
Building apiary-2.1.0...
Installed Cabal-2.0.0.2
Configuring cabal-doctest-1.0.2...
Building cabal-doctest-1.0.2...
Installed apiary-2.1.0
Configuring apiary-logger-1.5.0...
Building apiary-logger-1.5.0...
Installed cabal-doctest-1.0.2
Configuring http-api-data-0.3.7.1...
Building http-api-data-0.3.7.1...
Installed apiary-logger-1.5.0
Warning: /tmp/pkgConf-http-api-data-0.3.72316024221389867269.1: Unrecognized
field abi-depends on line 38
/tmp/pkgConf-http-api-data-0.3.72316024221389867269.1: Unrecognized field
dynamic-library-dirs on line 23
/tmp/pkgConf-http-api-data-0.3.72316024221389867269.1: Unrecognized field
indefinite on line 15
Installed http-api-data-0.3.7.1
Configuring persistent-2.7.1...
Building persistent-2.7.1...
Installed persistent-2.7.1
Downloading apiary-persistent-1.5.1...
Configuring apiary-persistent-1.5.1...
Building apiary-persistent-1.5.1...
Installed apiary-persistent-1.5.1